#!/usr/bin/python
'''Create local userconfig.py from the template.  Currently, just need to setup the executable locations.'''
import os.path

cpmdexe=raw_input('Enter full path to runcpmd (e.g. /home/jss43/CPMD/v3.11.1/CLEAN/runcpmd):\n')
neciexe=raw_input('Enter full path to neci.x (e.g. /home/jss43/CPMD/v3.11.1/CLEAN/NECI/neci.x):\n')
cpmdexe=os.path.realpath(os.path.expanduser(cpmdexe))
neciexe=os.path.realpath(os.path.expanduser(neciexe))

if not os.path.exists(cpmdexe):
    print 'Given runcpmd path does not exist.'
    while not os.path.exists(cpmdexe):
        cpmdexe=raw_input('Enter full path to runcpmd (e.g. /home/jss43/CPMD/v3.11.1/CLEAN/runcpmd):\n')
        cpmdexe=os.path.realpath(os.path.expanduser(cpmdexe))

if not os.path.exists(neciexe):
    print 'Given neci.x path does not exist.'
    while not os.path.exists(neciexe):
        neciexe=raw_input('Enter full path to neci.x (e.g. /home/jss43/CPMD/v3.11.1/CLEAN/NECI/neci.x):\n')
        neciexe=os.path.realpath(os.path.expanduser(neciexe))

benchfile=''
if os.path.exists('userconfig.py'):
    # Obtain current benchmark before we over-write it!
    userfile=open('userconfig.py','r')
    for line in userfile:
        if 'benchfile' in line:
            benchfile=(line.split("'"))[1]
    userfile.close()

usertemplate=open('userconfig.py-template','r')
userfile=open('userconfig.py','w')

for line in usertemplate:
    if '/home/jss43/CPMD/v3.11.1/CLEAN/runcpmd' in line:
        line=line.replace('/home/jss43/CPMD/v3.11.1/CLEAN/runcpmd',cpmdexe)
    elif '/home/jss43/CPMD/v3.11.1/CLEAN/NECI/neci.x' in line:
        line=line.replace('/home/jss43/CPMD/v3.11.1/CLEAN/NECI/neci.x',neciexe)
    elif 'benchfile' in line and benchfile: # latter true if benchfile is not a null string.
        line='benchfile=\''+benchfile+'\''
    userfile.write(line)
usertemplate.close()
userfile.close()
